Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.exception
Class InUseException

    java.lang.Object
      JSException
          jet.server.api.exception.InUseException

    public class InUseException

extends JSException

Exception thrown when attempting to delete an object, such as a user or group, which is in use as part of the realm's security policy. For example, a user which is a member of some group, or is listed in an ACL, may not be deleted. Similarly, a group which is a mentioned in an ACL, or some other group, may not be deleted.

Constructor Summary
`InUseException(int msgKey)` Construct a new `InUseException` with specified message, the cause is not initialized.
`InUseException(int msgKey, java.lang.Object[] params, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
`InUseException(int msgKey, java.lang.Throwable cause)` Construct a new `InUseException` with specified detail message and cause.
`InUseException(java.lang.String message)` Construct a new `InUseException` with specified message, the cause is not initialized.
`InUseException(java.lang.Throwable cause)` Construct a new `InUseException` with specified cause and a `null`detail message.``

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InUseException

    public InUseException(int msgKey,
                          java.lang.Object[] params,
                          java.lang.Throwable cause)

  Constructs a new throwable with the specified detail message and cause.

  Parameters:
    `msgKey` - the message key in strJError, for find the message, and will be loged and showed to user.
    `params` - the parameters used for format the message string, can be null.
    `cause` - the cause (which is saved for later retrieval by the getCause.

### InUseException

    public InUseException(int msgKey,
                          java.lang.Throwable cause)

  Construct a new `InUseException` with specified detail message and cause.

  Parameters:
    `msgKey` - the message key
    `cause` - the cause. A `null` is permitted, and it indicates the cause is nonexistent or unknown.

### InUseException

    public InUseException(int msgKey)

  Construct a new `InUseException` with specified message, the cause is not initialized.

  Parameters:
    `msgKey` - the message key

### InUseException

    public InUseException(java.lang.Throwable cause)

  Construct a new `InUseException` with specified cause and a `null`detail message.

  Parameters:
    `cause` - the cause.
  ``

### InUseException

    public InUseException(java.lang.String message)

  Construct a new `InUseException` with specified message, the cause is not initialized.

  Parameters:
    `message` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD